Overview
8080 API (0.1.0)
Section titled “8080 API (0.1.0)”OpenAI-compatible API for LLM inference. Get an account at https://app.8080.io or https://www.8080.io (request an invite during private beta).
Supported endpoints:
- Models — List available models (
GET /v1/models). - Chat completions — Generate chat completions with optional streaming and tool calling (
POST /v1/chat/completions). - Responses — Create and manage responses with prompt templates (
POST /v1/responses,POST /v1/responses/{path}). - Files — Upload and list files for batch jobs and other use cases (
GET /v1/files,POST /v1/files).
- 8080 Team: 8080.io - hello@8080.io
- License: TBD
- OpenAPI version: 3.1.0
Authentication
Section titled “Authentication”api_key
Section titled “api_key”All API endpoints require an API key for authentication. Create an API key for your project at app.8080.io.
The API key must be passed into the API via the “authorization” HTTP header, and the value must
be preceded by “Bearer”. For example, if your API key is 8080abcd_1234, you’d set the following HTTP header:
Authorization: Bearer 8080abcd_1234.
Security scheme type: http